#!/usr/bin/env python
# Ubuntu CI Services
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import logging
from restish.app import RestishApp

from bsbuilder.resources.root import Root

logging.basicConfig(level=logging.DEBUG)


def make_app():
    """Build the wsgi app object."""
    app = RestishApp(Root())
    return app

app = make_app()

if __name__ == '__main__':
    import argparse
    from wsgiref.simple_server import make_server

    parser = argparse.ArgumentParser(
        description='Run webservice in python\'s wsgi reference server.')
    parser.add_argument('-p', '--port', type=int, default=8080,
                        help='Port to use. Default=%(default)d')
    args = parser.parse_args()

    httpd = make_server('', args.port, app)
    try:
        print('Running server on port %d...' % args.port)
        httpd.serve_forever()
    except KeyboardInterrupt:
        print('exiting')
        pass
