# Ubuntu CI Services
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import json
import logging

from restish import http, resource

log = logging.getLogger(__name__)


class API(resource.Resource):

    @resource.child('status')
    def status(self, request, segments):
        log.debug('[status]: %s %s', request.url, str(segments))
        return http.ok([('Content-Type', 'application/json')], "{}")

    @resource.child()
    def build_image(self, request, segments):
        return self._return_json(request)

    def _return_json(self, request):
        try:
            params = json.loads(request.body)
        except ValueError:
            return http.bad_request()
        return http.ok([('Content-Type', 'application/json')], str(params))
