# Ubuntu Continuous Integration Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.contrib import admin
from project.models import SourcePackage, BinaryPackage


class SourcePackageAdmin(admin.ModelAdmin):
    search_fields = ['name']
    list_display = ('name',)


class BinaryPackageAdmin(admin.ModelAdmin):
    list_filter = ['seeded']
    search_fields = ['name', 'sourcepackage']
    list_display = ('name', 'sourcepackage', 'seeded')

admin.site.register(SourcePackage, SourcePackageAdmin)
admin.site.register(BinaryPackage, BinaryPackageAdmin)
