# Ubuntu Continuous Integration Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from tastypie import fields
from tastypie.resources import ModelResource
from tastypie.constants import ALL
from project.models import SourcePackage, BinaryPackage


class SourcePackageResource(ModelResource):

    class Meta:
        queryset = SourcePackage.objects.all()
        allowed_methods = ['get']
        filtering = {
            "name": ('exact', 'startswith'),
        }


class BinaryPackageResource(ModelResource):
    sourcepackage = fields.ToOneField(SourcePackageResource, 'sourcepackage',
                                      full=True)

    class Meta:
        queryset = BinaryPackage.objects.all()
        allowed_methods = ['get']
        filtering = {
            "name": ('exact', 'startswith'),
            "seeded": ALL,
        }
