# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'SourcePackage'
        db.create_table('sourcepackage', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=4096)),
        ))
        db.send_create_signal(u'project', ['SourcePackage'])

        # Adding model 'BinaryPackage'
        db.create_table('binarypackage', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('sourcepackage', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['project.SourcePackage'])),
            ('seeded', self.gf('django.db.models.fields.BooleanField')(default=False)),
        ))
        db.send_create_signal(u'project', ['BinaryPackage'])


    def backwards(self, orm):
        # Deleting model 'SourcePackage'
        db.delete_table('sourcepackage')

        # Deleting model 'BinaryPackage'
        db.delete_table('binarypackage')


    models = {
        u'project.binarypackage': {
            'Meta': {'object_name': 'BinaryPackage', 'db_table': "'binarypackage'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'seeded': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['project.SourcePackage']"})
        },
        u'project.sourcepackage': {
            'Meta': {'object_name': 'SourcePackage', 'db_table': "'sourcepackage'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        }
    }

    complete_apps = ['project']