# Ubuntu Continuous Integration Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.db import models


class SourcePackage(models.Model):
    class Meta:
        db_table = "sourcepackage"

    name = models.CharField(max_length=4096)

    def __unicode__(self):
        return self.name


class BinaryPackage(models.Model):
    class Meta:
        db_table = "binarypackage"

    name = models.CharField(max_length=4096)
    sourcepackage = models.ForeignKey("SourcePackage")
    seeded = models.BooleanField(default=False)

    def __unicode__(self):
        return self.name
