# Ubuntu Continuous Integration Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.contrib import admin
from ticket.models import Ticket, SubTicket, SourcePackageUpload, Artifact


class TicketAdmin(admin.ModelAdmin):
    list_filter = ['current_workflow_step', 'status']
    search_fields = ['title', 'bug_id']
    list_display = ('title', 'current_workflow_step', 'status', 'base_image')


class SubTicketAdmin(admin.ModelAdmin):
    list_filter = ['status']
    search_fields = ['ticket', 'source_package_upload']
    list_display = ('ticket', 'status', 'assignee', 'source_package_upload')


class SourcePackageUploadAdmin(admin.ModelAdmin):
    search_fields = ['sourcepackage']
    list_display = ('sourcepackage', 'version')


class ArtifactAdmin(admin.ModelAdmin):
    list_filter = ['type']
    search_fields = ['name']
    list_display = ('name', 'ticket_component', 'type')

admin.site.register(Ticket, TicketAdmin)
admin.site.register(SubTicket, SubTicketAdmin)
admin.site.register(SourcePackageUpload, SourcePackageUploadAdmin)
admin.site.register(Artifact, ArtifactAdmin)
