# -*- coding: utf-8 -*-
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        # Adding model 'Ticket'
        db.create_table('ticket', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('owner', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['people.Person'])),
            ('title', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('description', self.gf('django.db.models.fields.TextField')()),
            ('bug_id', self.gf('django.db.models.fields.IntegerField')(null=True, blank=True)),
            ('current_workflow_step', self.gf('django.db.models.fields.IntegerField')(default=0, max_length=4096)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=0, max_length=4096)),
            ('base_image', self.gf('django.db.models.fields.CharField')(max_length=4096)),
        ))
        db.send_create_signal(u'ticket', ['Ticket'])

        # Adding model 'SourcePackageUpload'
        db.create_table('sourcepackageupload', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('sourcepackage', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['project.SourcePackage'])),
            ('version', self.gf('django.db.models.fields.CharField')(max_length=4096)),
        ))
        db.send_create_signal(u'ticket', ['SourcePackageUpload'])

        # Adding model 'SubTicket'
        db.create_table('subticket', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('current_workflow_step', self.gf('django.db.models.fields.IntegerField')(default=0, max_length=4096)),
            ('status', self.gf('django.db.models.fields.IntegerField')(default=0, max_length=4096)),
            ('ticket', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.Ticket'])),
            ('assignee', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['people.Person'])),
            ('source_package_upload', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.SourcePackageUpload'])),
        ))
        db.send_create_signal(u'ticket', ['SubTicket'])

        # Adding model 'Artifact'
        db.create_table('artifact', (
            (u'id', self.gf('django.db.models.fields.AutoField')(primary_key=True)),
            ('type', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('ticket_component', self.gf('django.db.models.fields.related.ForeignKey')(to=orm['ticket.SubTicket'], null=True, blank=True)),
            ('reference', self.gf('django.db.models.fields.CharField')(max_length=4096)),
            ('name', self.gf('django.db.models.fields.CharField')(max_length=4096)),
        ))
        db.send_create_signal(u'ticket', ['Artifact'])


    def backwards(self, orm):
        # Deleting model 'Ticket'
        db.delete_table('ticket')

        # Deleting model 'SourcePackageUpload'
        db.delete_table('sourcepackageupload')

        # Deleting model 'SubTicket'
        db.delete_table('subticket')

        # Deleting model 'Artifact'
        db.delete_table('artifact')


    models = {
        u'people.person': {
            'Meta': {'object_name': 'Person', 'db_table': "'person'"},
            'email': ('django.db.models.fields.EmailField', [], {'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'is_team': ('django.db.models.fields.BooleanField', [], {'default': 'False'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'project.sourcepackage': {
            'Meta': {'object_name': 'SourcePackage', 'db_table': "'sourcepackage'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.artifact': {
            'Meta': {'object_name': 'Artifact', 'db_table': "'artifact'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'name': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'reference': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'ticket_component': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.SubTicket']", 'null': 'True', 'blank': 'True'}),
            'type': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.sourcepackageupload': {
            'Meta': {'object_name': 'SourcePackageUpload', 'db_table': "'sourcepackageupload'"},
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'sourcepackage': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['project.SourcePackage']"}),
            'version': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        },
        u'ticket.subticket': {
            'Meta': {'object_name': 'SubTicket', 'db_table': "'subticket'"},
            'assignee': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['people.Person']"}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'source_package_upload': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.SourcePackageUpload']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'ticket': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['ticket.Ticket']"})
        },
        u'ticket.ticket': {
            'Meta': {'object_name': 'Ticket', 'db_table': "'ticket'"},
            'base_image': ('django.db.models.fields.CharField', [], {'max_length': '4096'}),
            'bug_id': ('django.db.models.fields.IntegerField', [], {'null': 'True', 'blank': 'True'}),
            'current_workflow_step': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'description': ('django.db.models.fields.TextField', [], {}),
            u'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'owner': ('django.db.models.fields.related.ForeignKey', [], {'to': u"orm['people.Person']"}),
            'status': ('django.db.models.fields.IntegerField', [], {'default': '0', 'max_length': '4096'}),
            'title': ('django.db.models.fields.CharField', [], {'max_length': '4096'})
        }
    }

    complete_apps = ['ticket']