# Ubuntu Continuous Integration Engine
# Copyright 2013 Canonical Ltd.

# This program is free software: you can redistribute it and/or modify it
# under the terms of the GNU Affero General Public License version 3, as
# published by the Free Software Foundation.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranties of
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR
# PURPOSE.  See the GNU Affero General Public License for more details.

# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from django.test.simple import DjangoTestSuiteRunner
from django.conf import settings


class LocalAppsTestSuiteRunner(DjangoTestSuiteRunner):
    """ Override the default 'test' command to only run local tests. """

    def run_tests(self, test_labels, *args, **kwargs):
        if not test_labels:
            test_labels = settings.LOCAL_APPS

        return super(LocalAppsTestSuiteRunner, self).run_tests(
            test_labels, *args, **kwargs)
